﻿Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        SetGridDataSource()
        SetUpComboDataSource()
    End Sub

    Private Sub SetUpComboDataSource()
        Dim dt As New DataTable()

        dt.Columns.Add("ID", GetType(Int32)).AutoIncrement = True
        dt.Columns.Add("Jury Name", GetType(String))

        dt.Rows.Add(New Object() {Nothing, "AB"})
        dt.Rows.Add(New Object() {Nothing, "BC"})
        dt.Rows.Add(New Object() {Nothing, "CD"})
        dt.Rows.Add(New Object() {Nothing, "NA"})

        ultraCombo1.SetDataBinding(dt, Nothing)
        ultraCombo1.ValueMember = "ID"
        ultraCombo1.DisplayMember = "Jury Name"
    End Sub

    Private Sub SetGridDataSource()
        Dim dt As New DataTable()

        dt.Columns.Add("ID", GetType(Int32)).AutoIncrement = True
        dt.Columns.Add("Jury Name", GetType(Int32))

        dt.Rows.Add()
        dt.Rows.Add()
        dt.Rows.Add()
        dt.Rows.Add()
        dt.Rows.Add()
        dt.Rows.Add()

        ultraGrid1.DataSource = dt
    End Sub

    Private Sub UltraGrid1_InitializeLayout(sender As Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        e.Layout.Bands(0).Columns("Jury Name").ValueList = UltraCombo1
    End Sub

    Private Sub UltraGrid1_InitializeRow(sender As Object, e As Infragistics.Win.UltraWinGrid.InitializeRowEventArgs) Handles UltraGrid1.InitializeRow
        If e.ReInitialize = False Then
            e.Row.Cells("Jury Name").Value = 3
        End If

    End Sub

End Class
